[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TFPImageBitmap.InitializeReader

Configures the reader class instance for the image type.

## Declaration

Source position: graphics.pp line 1445

`protected procedure TFPImageBitmap.InitializeReader(`
`AImage: TLazIntfImage;`
`AReader: TFPCustomImageReader`
`); virtual;`

## Arguments

`AImage` |  | Not used in the current implementation.
`AReader` |  | FCL image reader instance updated in the method.

## Description

InitializeReader is a virtual method used to configure the FCL-compatible image reader class instance in AReader. InitializeReader assigns the Progress method to the OnProgress event handler in AReader.

AImage is not used in the current implementation.

InitializeReader is called from the ReadStream method prior to any operation that reads the image descriptor, header, or data.